#include<bits/stdc++.h>
using namespace std;
long long a[200001];
int main()
{
    long long n,k;
    cin >> n >>k;
    long long s=0;
    for(int i=0;i<n;i++)
    {
        cin >> a[i];
        s+=a[i];
    }
    if(a[0]<a[n-1])
    {
        s-=2*a[0];
    }
    else
    {
        s-=2*a[n-1];
    }
    cout << s;
}